ExceptionBean (Mule ESB 2.2.1 API)
Keywords: org.mule.example.errorhandler.ExceptionBean class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.errorhandler
Class ExceptionBean

    java.lang.Object
      org.mule.example.errorhandler.ExceptionBean

    public class ExceptionBean

extends Object

The `ExceptionBean` is a POJO representing the details of a Throwable

Constructor Summary
`ExceptionBean()`
`ExceptionBean(Throwable exception)`

Method Summary
`ExceptionBean` | `getCause()`
`String` | `getDetailMessage()`
`String` | `getExceptionClass()`
`protected String[]` | `getStackAsString(StackTraceElement[] elements)`
`String[]` | `getStackTrace()`
`void` | `setCause(ExceptionBean cause)`
`void` | `setDetailMessage(String detailMessage)`
`void` | `setExceptionClass(String exceptionClass)`
`void` | `setStackTrace(StackTraceElement[] stackTrace)`
`void` | `setStackTrace(String[] stackTrace)`
`Throwable` | `toException()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionBean

    public ExceptionBean()

### ExceptionBean

    public ExceptionBean(Throwable exception)

Method Detail

### toException

    public Throwable toException()
                          throws InstantiationException

  Throws:
    `InstantiationException`

### getDetailMessage

    public String getDetailMessage()

### setDetailMessage

    public void setDetailMessage(String detailMessage)

### getCause

    public ExceptionBean getCause()

### setCause

    public void setCause(ExceptionBean cause)

### getStackTrace

    public String[] getStackTrace()

### setStackTrace

    public void setStackTrace(StackTraceElement[] stackTrace)

### setStackTrace

    public void setStackTrace(String[] stackTrace)

### getExceptionClass

    public String getExceptionClass()

### setExceptionClass

    public void setExceptionClass(String exceptionClass)

### getStackAsString

    protected String[] getStackAsString(StackTraceElement[] elements)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.